Bug 1347311 - With clause used in evaluatable subquery in a fully pushed user query is seen as missing temp table
Summary: With clause used in evaluatable subquery in a fully pushed user query is seen...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER5
: 6.3.0
Assignee: Van Halbert
QA Contact: Andrej Smigala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-16 13:46 UTC by Andrej Smigala
Modified: 2016-08-24 11:44 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-24 11:44:24 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker TEIID-4273 Major Closed With clause used in evaluatable subquery in a fully pushed user query is seen as missing temp table 2016-07-08 13:26:25 UTC

Description Andrej Smigala 2016-06-16 13:46:44 UTC
A query such as:

WITH qry_0 as /*+ no_inline */ (SELECT e2 AS a1, e1 as str FROM pm1.g1 AS t), qry_1 as /*+ no_inline */ (SELECT 'b' AS a1) select (select a1 || 'a' from qry_1) as x, a1 from qry_0

where the projected scalar subquery cannot be pushed down, but the rest of the query can will result in the with plan for qry_1 not being associated with the parent RelationalPlan and results in an exception that the temporary table cannot be found. This does not occur if the clause is inlined (9.0+).

Comment 2 JBoss JIRA Server 2016-06-27 14:21:16 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4273 to Closed


Note You need to log in before you can comment on or make changes to this bug.